Reply To: Updating video drivers

Home Forums Support Updating video drivers Reply To: Updating video drivers

#8697
ShiningDragon
Participant

The old Intel HD Graphics is NOT able to deliver OpenGL version 3.2, which is necessary for Train-Fever. It is only able to deliver up to OpenGL 2.1.

Intel HD Graphics 2nd generation and newer (HD 2×00, HD 3×00) are technically able to run Train-Fever. But even with an Intel HD 4600 (tested besides my NV GTX 760) the joy is very limited, because integrated graphic solutions doesn’t have dedicated video ram (but off the very expensive Intel Iris).

The V-RAM usage grows a lot while playing. The graphic is great, the details of the game marvelous – but it needs v-ram. A lot of it. And fast, not the shared and slow system-memory.